/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "surface.pmh"

namespace fe
{

SurfaceAccessorCatalog::SurfaceAccessorCatalog(void):
	m_attrType(e_none)
{
	setName("SurfaceAccessorCatalog");
}

SurfaceAccessorCatalog::~SurfaceAccessorCatalog(void)
{
}

BWORD SurfaceAccessorCatalog::bindInternal(
	SurfaceAccessibleI::Element a_element,const String& a_name)
{
	m_element=a_element;
	m_attrName=a_name;

	if(!m_spCatalog.isValid())
	{
		feLog("SurfaceAccessorCatalog::bindInternal invalid Catalog\n");
		return FALSE;
	}

	return TRUE;
}

} // namespace
