import sys
forge = sys.modules["forge"]

def setup(module):
	deplibs = forge.corelibs + [
				"feSignalLib",
				"feNetworkLib",
				"fexDataToolDLLib" ]

	tests =	[	"xEchoClient",
				"xEchoServer",
				"xSignalSender",
				"xSignalReceiver",
				"xServer",
				"xClient",
				"xChunkSender",
				"xChunkReceiver"
			]

	for t in tests:
		module.Exe(t)
		forge.deps([t + 'Exe'], deplibs)

	forge.tests += [
		("xServer.exe",				"7876",				"7879",
			("xClient.exe",			"7876",				"7879",		None)) ]

